h <- function(w = c(1/3, 1/3, 1/3), alpha = .5)
{
	
	if(is.vector(w)){w <- t(w)}
	
	#evaluates the spectral measure of the n-dimensional 
	#logistic (symmetric) msrv
	
	#dimension/Users/cooleyd/MaxKriging/R.prog/ExpOnSimplex/Logistic/momentizer.R
	d <- dim(w)[2]


    #assumes w is in S3 and converts it to be a matrix if 
    #it is just a vector
    if(is.vector(w))
    {
    	w <- t(w)
    }
    	

	one <- prod(seq(1:(d-1))*1/alpha -1)
#print(one)	
	two <- (apply(w,1,prod))^(-1/alpha -1)
#print(two)	
	thr <- apply((1/w)^(1/alpha),1,sum)^(alpha-d)
#print(thr)
	
	msr <- one*two*thr
	
	return(msr)
}